This project has moved. For the latest updates, please go here.

problem acad2fds

Feb 16, 2011 at 3:29 PM

Hi,

i'm an engineering student.  I have autocad english version 2009 32 bit installed and working correctly. But after installing the plug-in ACAD2FDS_Setup.1.0.0.58978 autocad closes soon after opened (crashes). If I remove the installation of the plug in then autocad returns to work correctly. absolutely need to use this program. Can you help me? excuse myEnglish.Thanks

Feb 20, 2011 at 8:32 PM

Hi Walash,

After installing ACAD onto a 32bit machine, as you suggested, I am now getting the same issue as Giobrugnaro...

I installed ACAD 2010 MEP 32bit. (you suggested 2009) but Giobrugnaro installed it on 2009, and it isnt working either.

could you please take a look at this?

Feb 21, 2011 at 4:54 PM

I'm ok!!

this plugin runs only with cad 09 english version!!! in the machine you have only this version and nothing else.

Coordinator
Mar 1, 2011 at 1:51 PM

Hi,

Sorry for silence. Giobrugnaro, can you send me your log file, I'll try to investigate it and provide you with information which help you to resolve you problem.

Sep 1, 2011 at 8:40 AM

hi,thanks.

i have autocad english version 2009 32 bit  and intall ACAD2FDS_Setup.1.0.0.58978 , and i build the 3d geometry, then use this tool to convert  them to fds input file, but sometimes it works well and sometimes it crashs,it crash when it convert  some cmplex objects.

 i feel puzzled, the building model is more complicated than mine in guide of this web. 

sorry my english. i can upload the autocad 3d building model if  it is in need.

 

Coordinator
Sep 1, 2011 at 9:00 AM

So, it is "known issue". The exception occurs occasionally and I found no possibility to catch it (it is COM exception from the AutoCAD). From my experience I know, that it occurs when you try to access the AutoCAD during the conversion process. And as far as I remember, you can ignore the exception and wait for a while. The  *.fds file should be generated. Than just kill buggy AutoCAD and launch it again if you need.

Actually I've have some ideas how to eliminate the problem, I think fixing of such crashes will be highly prioritized and will be eliminated in the next build.

Dec 20, 2011 at 6:11 AM

Hi walash,

I am using AutoCAD 2008 32 version in windows and installed ACAD2FDS_Setup.1.0.0.58978, but it is not working. Will it work in 2008 version or should i have to upgrade my AutoCAD version.

Coordinator
Dec 20, 2011 at 6:24 AM

Hi, Chaturvedi

Yes, it seems that you need to update the AutoCAD version. The plugin uses BREP AutoCAD library, that was introduced only in 2009 version. Actually the plugin was tested only with AutoCAD 2009 32bit English version . . . But it is designed to support any AutoCAD version. After installation it will be integrated into the AutoCAD and try to work. There is some probability to make it work with AutoCAD 2010, 2011, 2012, 2013, 2014 . . .  32bit versions. Unfortunately 64bit AutoCAD versions are not supported yet :(

Jan 2, 2012 at 2:57 PM

Hi Walash,

I also have a problem with the plug in.  When I try to install ACAD2FDS there is no specific problem. But then when I start using AUTOCAD I have an error message with the plugin.

The warning says: "Error occured during FDS menu building. Unable to cast COM object of type 'System._ComObject' to interface type....."

I can send you the complete warning if it helps.

I am using AutoCad 2010 (32 bits). Is there anyway to solve this?

Thanks for your help.

Best regards.

Coordinator
Jan 2, 2012 at 4:35 PM

So, it seems that object models AutoCAD 2009 and AutoCAD 2010 differs :(   So, without recompilation with referencing to the AutoCAD 2010 libraries or without some refactoring the plugin will not be able to work with this AutoCAD version. 

Jun 29, 2012 at 1:45 PM

Hi everybody.

Problem with autocad 2009 ita: the conversion starts, but no green bar and at the end Autocad says:

Irreversible error: unhandled e0434f4dh Exception at 7c812afbh

and that's it.

 

It works, sometimes yes and sometimes no, only with your sample dwg (doulbleT and room)

Any idea?

 

Thanks...

 

 

Coordinator
Jun 29, 2012 at 2:14 PM

Hi, heidibiker

 

There is no "everybody" there is only me :)

So, I can give you and advice to make your model as simple as possible and make it be convertible. Then you can try to make the model more complex.

Also, try to use some simple primitives to build your geometry.

And one more advice - do not touch keyboard and mouse during the conversion process, AutoCAD can think that you are going to edit smth and lock the model.

 

Good luck, I hope the plugin will be helpful =)

Jul 11, 2012 at 5:44 PM

Dear Walash,

 

I have installed Autocad 2009 on my system and successfully installed autocad to FDS plugin. But when i've reopen autocad it has crashed and showed following error:

 

"Description:  Stopped working
Problem signature:  Problem Event Name: APPCRASH  Application Name: acad.exe  Application Version: 23.2.56.0  Application Timestamp: 47ae9f2d  Fault Module Name: KERNELBASE.dll  Fault Module Version: 6.1.7600.16385  Fault Module Timestamp: 4a5bdaae  Exception Code: e053534f  Exception Offset: 00009617  OS Version: 6.1.7600.2.0.0.256.1  Locale ID: 16393"

 

I've autocad 2010 also installed on the same system. Is it causing this problem?

Thanks in Advance!

Coordinator
Jul 11, 2012 at 6:41 PM

Never seen such a problem and really don't no how to help you :(

And which of your 2 AutoCADs you are trying to launch?

Jul 12, 2012 at 4:51 AM

Dear Walash,

Now i have uninstalled Autocad 2010 and now my system have only autocad 2009. My issue is when i install plugin it displays that plugin has installed successfully but when i open autocad 2009 it crashes:)

 

Any thoughts?

Coordinator
Jul 13, 2012 at 10:10 AM

So many efforts to run the plugin . . . So sorry, but I really have no idea . . .

2 more questions:

1. What is locale of your OS (plugin was tested only with Win 7 English)?

2. Is you AutoCAD x32 or x64 bit (the plugin is compatible only with x32 AutoCAD version)?

 

As very last option you can try to install the plugin on another physical/virtual machine.